## Index

### Classes

- ModalImpl

### Interfaces

- OwnProps

### Type aliases

- Props

### Variables

- Modal

### Functions

- styles

## Type aliases

### Props

Props: OwnProps & WithSheet<styles>

- Defined in components/Modal/index.tsx:103

## Variables

### Const Modal

Modal: ComponentClass<object & StyledComponentProps<"title" | "@keyframes spin" | "loading" | "container" | "header" | "description" | "applicationIcon" | "body" | "footer">, any> | StatelessComponent<object & StyledComponentProps<"title" | "@keyframes spin" | "loading" | "container" | "header" | "description" | "applicationIcon" | "body" | "footer">> = injectSheet(styles)(ModalImpl)

- Defined in components/Modal/index.tsx:152

## Functions

### Const styles

- styles(theme: ThemeTypes): object

- - Defined in components/Modal/index.tsx:25

  #### Parameters

  - ##### theme: ThemeTypes

  #### Returns object

Generated using TypeDoc